import React, { Component } from 'react';
import hocImmutable, { imShallowEqual } from '../../utils/HOC/hocImmutable';
import { Input } from 'antd';

export default hocImmutable(({ onChange, ...props }) => {
    return <Input.Search {...props}
        onChange={e => onChange && onChange(e.target.value)}
    />
})